## libxcp-rrd-ocaml 0.9.0

=== Makefile ===
dist/build/lib-rrd/rrd.cmxa:
	obuild configure
	obuild build

install:
	ocamlfind install xcp-rrd lib/META $(wildcard dist/build/lib-xcp-rrd/*)

uninstall:
	ocamlfind remove xcp-rrd

.PHONY: clean
clean:
	rm -rf dist

=== debian/changelog ===
libxcp-rrd-ocaml (0.9.0-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Mon, 02 Jun 2014 12:00:00 +0000

libxcp-rrd-ocaml (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 06 Jun 2013 12:00:00 +0000

=== debian/control ===
Source: libxcp-rrd-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 libuuidm-ocaml-dev,
 ocaml-obuild,
 camlp4-extra,
 libstdext-ocaml-dev,
 ocaml-native-compilers,
 ocaml-findlib,
 librpc-ocaml-dev

Package: libxcp-rrd-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Round-Robin Datasources in OCaml
 Round-Robin Datasources in OCaml.

Package: libxcp-rrd-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libxcp-rrd-ocaml (>= 0.9.0-2),
 librpc-ocaml-dev,
 libstdext-ocaml-dev,
 libuuidm-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-xcp-rrd
 The ocaml-xcp-rrd-devel package contains libraries and signature
 files for developing applications that use ocaml-xcp-rrd.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libxcp-rrd-ocaml/usr/lib/ocaml/xcp-rrd/*.a
	rm -f debian/libxcp-rrd-ocaml/usr/lib/ocaml/xcp-rrd/*.cmxa
	rm -f debian/libxcp-rrd-ocaml/usr/lib/ocaml/xcp-rrd/*.cmx

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
